commit: d5a9f8b2ce5ccca950eb3f39f45768afe73126f2
Author: Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 15 19:08:47 2015 +0000
Commit: José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Sun Nov 15 19:08:47 2015 +0000
URL: https://gitweb.gentoo.org/proj/lisp.git/commit/?id=d5a9f8b2
dev-lisp/cffi: bump to version 0.16.1
dev-lisp/cffi/cffi-0.16.1.ebuild | 49 ++++++++++++++++++++++++++++++++++++++++
1 file changed, 49 insertions(+)
diff --git a/dev-lisp/cffi/cffi-0.16.1.ebuild b/dev-lisp/cffi/cffi-0.16.1.ebuild
new file mode 100644
index 0000000..95c8477
--- /dev/null
+++ b/dev-lisp/cffi/cffi-0.16.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit common-lisp-3
+
+MY_P=${PN}_${PV}
+
+DESCRIPTION="The Common Foreign Function Interface (CFFI)"
+HOMEPAGE="http://common-lisp.net/project/cffi/"
+SRC_URI="http://common-lisp.net/project/${PN}/releases/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE="doc"
+
+DEPEND="doc? ( dev-lisp/sbcl virtual/texi2dvi )"
+RDEPEND="!dev-lisp/cl-${PN}
+ dev-lisp/alexandria
+ dev-lisp/babel
+ dev-lisp/trivial-features"
+
+CLSYSTEMS="cffi.asd cffi-tests.asd cffi-examples.asd cffi-grovel.asd \
+ cffi-uffi-compat.asd"
+
+S="${WORKDIR}"/${MY_P}
+
+src_compile() {
+ if use doc ; then
+ VARTEXFONTS="${T}"/fonts \
+ make -C doc manual spec || die "Cannot build docs"
+ fi
+}
+
+src_install() {
+ common-lisp-install-sources examples/ src/ uffi-compat/
+ common-lisp-install-sources -t all grovel/ tests/
+ common-lisp-install-asdf
+ dodoc README TODO doc/*.txt
+ if use doc; then
+ doinfo doc/*.info
+ rm doc/{spec,manual}/cffi*
+ insinto /usr/share/doc/${PF}/html
+ doins -r doc/{spec,manual}
+ fi
+}